Skip to main content
PATCH
Update mailbox display name or password

Authorizations

X-API-Key
string
header
default:YOUR_API_KEY
required

Dashboard API key created at https://app.wazobiamail.com/dashboard/smtp-api. Send operations also accept a narrower sending key created through POST /sending/api-keys; every other operation needs the dashboard key.

Path Parameters

id
string
required

Body

application/json
displayName
string
Required string length: 1 - 160
Example:

"Example Support"

password
string<password>
Required string length: 8 - 128
Example:

"CorrectHorse!Battery9Staple"

Response

Mailbox updated.

success
boolean
required
Example:

true

message
string
required
Example:

"Done"

data
any
required

Payload; shape depends on the endpoint.